package com.steerinfo.dil.controller;

import com.steerinfo.dil.model.TmstruckQualityResult;
import com.steerinfo.dil.service.impl.TmsTruckQualityService;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * @author luobang
 * @create 2021-10-27 11:31
 */
@RestController
@RequestMapping("/${api.version}/tmsTruckQualityResult")
public class TmsTruckQualityResultController extends BaseRESTfulController {

    @Autowired
    TmsTruckQualityService tmsTruckQualityService;



    @ApiModelProperty(value = "发送磅单号,接收质检实绩信息")
    @PostMapping("/insertQualityResult")
    @Transactional
    public RESTfulResult addQualityResult(String resultPoundNo){

        //业务逻辑:xms传入磅单号
        //将磅单号key转成质检需要的key值
        String WzInputId =resultPoundNo;
        //调用质检系统接口，把磅单号传入

        //接收返回值。map类型，一个个get出来
        Map<String, Object> map1 = new HashMap<>();
//        TmstruckQualityResult tmstruckQualityResult = new TmstruckQualityResult();
        //根据磅单号更新质检实绩
        tmsTruckQualityService.updateQuality(map1);
        return success();
    }
}
