package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.BmsportHandlingFee;
import com.steerinfo.dil.mapper.BmsportHandlingFeeMapper;
import com.steerinfo.dil.service.IBmsportHandlingFeeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * BmsportHandlingFee服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-05 07:43
 * 类描述
 * 修订历史：
 * 日期：2021-11-05
 * 作者：generator
 * 参考：
 * 描述：BmsportHandlingFee服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmsportHandlingFeeService")
public class BmsportHandlingFeeServiceImpl implements IBmsportHandlingFeeService {

    @Autowired
    private BmsportHandlingFeeMapper bmsportHandlingFeeMapper;

    /**
     * 得到港口装卸费信息
     * @param feeId
     * @return
     */
    @Override
    public Map<String, Object> getPortFee(Integer feeId) {
        List<Map<String, Object>> entries = bmsportHandlingFeeMapper.getPortFee(new BigDecimal(feeId));
        for (Map<String,Object> map : entries) {
            map.put("carNum","");
            map.put("forwarder","");
        }
        Map<String, Object> map = entries.get(0);
        BigDecimal statementTotalAmount = (BigDecimal) map.get("amount");
        Date statementTime = (Date) map.get("detailDate");
        Map<String,Object> mapValue = new HashMap<>();
        Map<String,Object> otherMap = bmsportHandlingFeeMapper.getOtherMessage(new BigDecimal(feeId));
        mapValue.put("entries",entries);
        mapValue.put("allAmount",statementTotalAmount);
        mapValue.put("bizDate",statementTime);
        mapValue.put("billNum","");
        String amountType = "港口装卸费";
        mapValue.put("amountType",amountType);
        mapValue.put("collectionUnitName","");
        mapValue.putAll(otherMap);
        return mapValue;
    }
}
