package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.BmsshipStatementMapper;
import com.steerinfo.dil.service.IBmsshipStatementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * BmsshipStatement服务实现：
 *
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-05 07:35
 * 类描述
 * 修订历史：
 * 日期：2021-11-05
 * 作者：generator
 * 参考：
 * 描述：BmsshipStatement服务实现
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 * @see null
 */
@Service(value = "bmsshipStatementService")
public class BmsshipStatementServiceImpl implements IBmsshipStatementService {

    @Autowired
    private BmsshipStatementMapper bmsshipStatementMapper;

    /**
     * 采购船运账单
     *
     * @param statementId
     * @return
     */
    @Override
    public Map<String, Object> getShipStatement(Integer statementId) {
        Map<String, Object> mapValue = bmsshipStatementMapper.getShipStatement(new BigDecimal(statementId));
        List<Map<String, Object>> mapList = bmsshipStatementMapper.getShipOtherMessage(new BigDecimal(statementId));
        String amountType = (String) mapValue.get("amountType");
        Map<String, Object> map = new HashMap<>();
        if (amountType.equals("水运费")) {
            // 发货单位和收款单位
            Map<String, Object> shipMap = mapList.get(0);
            // 付款单位
            String payUnitName = bmsshipStatementMapper.getShipPaymentUnit(new BigDecimal(statementId));
            map.putAll(shipMap);
            map.put("payUnitName",payUnitName);
        }
        if (amountType.equals("物流途损超标扣款")) {
            // 付款单位，发货单位，收款单位
            Map<String,Object> lossMap = bmsshipStatementMapper.getLossPaymentUnit(new BigDecimal(statementId));
            map.putAll(lossMap);
        }
        if (amountType.equals("水分检测费")) {
            String payUnitName = "";
            String forwordUnitNum = "";
            String collectionUnitName = "";
            map.put("payUnitName",payUnitName);
            map.put("forwordUnitNum",forwordUnitNum);
            map.put("collectionUnitName",collectionUnitName);
        }
        mapValue.putAll(map);
        return mapValue;
    }
}
