package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.model.TmstruckWeightResult;
import com.steerinfo.dil.mapper.TmstruckWeightResultMapper;
import com.steerinfo.dil.service.ITmstruckWeightResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.Map;

/**
 * TmstruckWeightResult服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 02:28
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：TmstruckWeightResult服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tmstruckWeightResultService")
public class TmstruckWeightResultServiceImpl implements ITmstruckWeightResultService {

    @Autowired
    TmstruckWeightResultMapper tmstruckWeightResultMapper;

    /**
     * 接收计量实绩信息
     * @param mapValue
     * @return
     */
    @Override
    public int receiveTmsTruckWeightResult(Map<String, Object> mapValue) {
        // 得到运输订单号
//        String orderNumber = (String) mapValue.get("orderNumber");
        BigDecimal weightTaskResultId = tmstruckWeightResultMapper.getWeightTaskResultId(mapValue);
        TmstruckWeightResult tmstruckWeightResult =tmstruckWeightResultMapper.selectByPrimaryKey(weightTaskResultId);
        String weightType=(String)mapValue.get("weightType");
        if (weightType.equals("计皮")){
            // 得到计皮汽车衡编号
            String calculateNumber = (String) mapValue.get("calculateNumber");
            BigDecimal resultTarePlaceId = tmstruckWeightResultMapper.getTruckCalculateId(calculateNumber);
            // 得到皮重
            String resultWeight = (String) mapValue.get("resultWeight");
            // 得到计皮时间
            Date resultWeightTime = new Date((Long) mapValue.get("resultWeightTime"));
            // 得到净重
            String resultNetWeight = (String)mapValue.get("resultNetWeight");
            String resultPoundNo=(String) mapValue.get("resultPoundNo");
            tmstruckWeightResult.setResultPoundNo(resultPoundNo);
            tmstruckWeightResult.setResultTarePlaceId(resultTarePlaceId);
            tmstruckWeightResult.setResultTareWeight(new BigDecimal(resultWeight));
            tmstruckWeightResult.setResultTareWeightTime(resultWeightTime);
            tmstruckWeightResult.setResultNetWeight(new BigDecimal(resultNetWeight));
        }
        if (weightType.equals("计毛")){
            // 得到计毛汽车衡编号
            String calculateNumber = (String) mapValue.get("calculateNumber");
            // 得到毛重
            String resultWeight = (String) mapValue.get("resultWeight");
            // 得到计毛时间
            Date resultWeightTime = new Date((Long) mapValue.get("resultWeightTime"));
            BigDecimal resultGrossPlaceId = tmstruckWeightResultMapper.getTruckCalculateId(calculateNumber);
            String resultPoundNo=(String) mapValue.get("resultPoundNo");
            tmstruckWeightResult.setResultPoundNo(resultPoundNo);
            tmstruckWeightResult.setResultGrossPlaceId(resultGrossPlaceId);
            tmstruckWeightResult.setResultGrossWeight(new BigDecimal(resultWeight));
            tmstruckWeightResult.setResultGrossWeightTime(resultWeightTime);
            // 得到净重
            String resultNetWeight = (String) mapValue.get("resultNetWeight");
            tmstruckWeightResult.setResultNetWeight(new BigDecimal(resultNetWeight));
        }
        int result = tmstruckWeightResultMapper.updateByPrimaryKeySelective(tmstruckWeightResult);
        return result;
    }
}
